<ng-container *ngIf="dispatchView; else dataAwaitedBlk">
  <div class="eh-h-100p eh-p-6 eh-ofy-auto eh-hide-scrollbars" fxLayout="column">
    <div class="eh-ofy-scroll eh-hide-scrollbars" fxLayout="column" fxLayoutAlign="space-between">
      <div fxLayout="column" [formGroup]="searchFG">
        <mat-form-field appearance="standard" class="e-mat-form-field">
          <mat-label>Select type</mat-label>
          <mat-select formControlName="type" placeholder="Select">
            <mat-option *ngFor="let type of appointmentTypes" [value]="type">
              {{type}}
            </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field appearance="standard" class="e-mat-form-field">
          <mat-label>Select a location</mat-label>
          <mat-select formControlName="location" placeholder="Select">
            <mat-option *ngFor="let location of locations" class="eh-txt-capital" [value]="location">
              {{location.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field appearance="standard" class="e-mat-form-field">
          <mat-label>Choose a date</mat-label>
          <input matInput formControlName="date" [min]="startDate" [max]="endDate" [matDatepicker]="datepicker"
            readonly>
          <mat-datepicker-toggle matSuffix [for]="datepicker"></mat-datepicker-toggle>
          <mat-datepicker #datepicker></mat-datepicker>
        </mat-form-field>

        <div fxLayout="row" fxLayoutAlign="center" class="eh-w-150 eh-pb-10">
          <button *ngIf="!loadingSlots" mat-flat-button (click)="onSearch()" [disabled]="!isSearchFGValid()"
            [ngClass]="{'e-mat-button e-mat-button--eblue400 eh-w-100p eh-mt-16': true, 'eh-csr-dsb': !isSearchFGValid()}">
            Get Availability
          </button>
          <div *ngIf="loadingSlots" class="e-spinner e-spinner--2 eh-mt-16 eh-h-36">
            <mat-spinner [diameter]="24" [strokeWidth]="2"></mat-spinner>
          </div>
        </div>
      </div>

      <div class="e-card2 e-card2--bg-eblue100 eh-py-16 eh-ofy-scroll eh-hide-scrollbars">
        <div *ngIf="!loadingSlots && isSearchPristine" class="e-txt e-txt--placeholder eh-txt-center">
          Search availability to load details
        </div>

        <div *ngIf="!loadingSlots && !isSearchPristine && !areSlotsAvailable"
          class="e-txt e-txt--placeholder eh-txt-center">
          Sorry, no slots are available on this day
        </div>

        <div *ngIf="!loadingSlots && !isSearchPristine && areSlotsAvailable" class="eh-txt-12 eh-txt-center">
          Your
          <span class="eh-txt-capital">{{typeFC.value}}</span>
          appointment is with
          <span>{{slots[0].staff.name}}</span>. This is her calendar.
        </div>

        <div *ngIf="!loadingSlots && !isSearchPristine && areSlotsAvailable" fxLayout="row wrap"
          fxLayoutAlign="space-evenly" class="eh-h-80">
          <div *ngFor="let item of slots" (click)="onSlotClicked(item)"
            class="e-card2 e-card2--appt2 e-card2--hover1 eh-pos-relative eh-ofy-auto">
            <span class="eh-txt-center">
              {{item.sessionStart | date:'h:mm a':'+0530'}} - {{item.sessionEnd | date:'h:mm a':'+0530'}}
            </span>
            <div *ngIf="item.clicked" class="eh-pos-absolute" style="right: 1px; top: 1px">
              <mat-icon class="e-mat-icon e-mat-icon--5">check_circle</mat-icon>
            </div>
          </div>
        </div>
      </div>
    </div>

    <mat-divider fxFlex="0 0 auto" class="eh-mt-16"></mat-divider>

    <div class="eh-mt-16" fxLayout="column" fxLayoutAlign="space-between">
      <div class="eh-p-6">
        <div class="eh-txt-12 eh-txt-lh1_2">
          For users of the <span class="eh-txt-underline">Standard package</span>:
        </div>
        <div class="eh-txt-12 eh-txt-lh1_2 eh-txt-italic">
          Only 1 appointment can be scheduled at a time.
        </div>

        <div class="eh-mt-6 eh-txt-12 eh-txt-lh1_2">
          For users of the <span class="eh-txt-underline">Premium package</span>:
        </div>
        <div class="eh-txt-12 eh-txt-lh1_2 eh-txt-italic">
          Up to 3 appointments can be scheduled at a time.
        </div>

        <div class="eh-mt-6 eh-txt-12 eh-txt-lh1_2">
          For users of the <span class="eh-txt-underline">Prestige package</span>:
        </div>
        <div class="eh-txt-12 eh-txt-lh1_2 eh-txt-italic">
          Unlimited appointments can be scheduled at a time.
        </div>
      </div>

      <div class="eh-h-36 eh-mt-10" fxLayout="row" fxLayoutAlign="center">
        <button *ngIf=" !bookingAppt" mat-flat-button (click)="onBookAppointment()" [disabled]="!selectedSlot"
          [ngClass]="{'e-mat-button e-mat-button--eblue400': true, 'eh-csr-dsb': !selectedSlot}">
          Schedule Appointment
        </button>

        <div *ngIf="bookingAppt" class="e-spinner e-spinner--2">
          <mat-spinner [diameter]="24" [strokeWidth]="2"></mat-spinner>
        </div>
      </div>
    </div>
  </div>
</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--3 e-spinner--center eh-h-100v">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>